Subject: [nfsv4] Fwd: New Version Notification for draft-cel-nfsv4-mv0-trunking-update-00.txt

From: Chuck Lever <[email-masked]>
Date: Mon, 13 Nov 2017 13:26:20 -0500

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-cel-nfsv4-mv0-trunking-update-00.txt
> Date: November 13, 2017 at 10:56:44 AM EST
> To: "David Noveck" <[email-masked]>, "Charles Lever" <[email-masked]>, "Chuck Lever" <[email-masked]>
> 
> 
> A new version of I-D, draft-cel-nfsv4-mv0-trunking-update-00.txt
> has been successfully submitted by Charles Lever and posted to the
> IETF repository.
> 
> Name:		draft-cel-nfsv4-mv0-trunking-update
> Revision:	00
> Title:		NFS version 4.0 Trunking Update
> Document date:	2017-11-13
> Group:		Individual Submission
> Pages:		16
> URL:            https://www.ietf.org/internet-drafts/draft-cel-nfsv4-mv0-trunking-update-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-cel-nfsv4-mv0-trunking-update/
> Htmlized:       https://tools.ietf.org/html/draft-cel-nfsv4-mv0-trunking-update-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-cel-nfsv4-mv0-trunking-update-00
> 
> 
> Abstract:
>   Location-related attributes in NFS version 4.0 are used to support
>   the migration and replication of server file systems.  In this
>   document, we describe an additional use for these attributes as a
>   mechanism to enable client discovery of an NFS version 4.0 server's
>   trunking capabilities.  The interaction of trunking with migration
>   and replication is also clarified.  This document updates RFC 7530.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

This I-D replaces Andy's expired draft-andros-nfsv4-client-multipath-discovery-00

Andy suggested that if there is still interest in this work, we may run
with it. As a co-author of the original, I've created this new I-D and
credited Andy for his initial efforts in the Acknowledgements section.

This document (and Noveck's draft-noveck-nfsv4-mv1-msns-update) are part
of an effort to enable NFSv4 clients to trunk (open multiple connections
to a server) without the use of pNFS. I believe this functionality is
critical to achieving the next level of performance with NFS/RDMA, in
addition to benefiting TCP-only clients.

--
Chuck Lever